Bug 868765 - [abrt] kdeartwork-screensavers-4.9.2-1.fc19: crashHandler: Process /usr/bin/keuphoria.kss was killed by signal 6 (SIGABRT)
[abrt] kdeartwork-screensavers-4.9.2-1.fc19: crashHandler: Process /usr/bin/k...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:956cfee6938ea2fa6c61554dce5...
:
: 893937 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 01:29 EDT by Qingtang Zhou
Modified: 2014-11-18 13:51 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 13:51:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.01 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: environ (1.80 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: backtrace (26.02 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: smolt_data (2.94 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: xsession_errors (2.26 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: maps (59.09 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: dso_list (11.54 KB, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: proc_pid_status (923 bytes, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: var_log_messages (156 bytes, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
File: open_fds (543 bytes, text/plain)
2012-10-22 01:29 EDT, Qingtang Zhou
no flags Details
i915_error_state output. (1.40 MB, text/plain)
2012-10-22 23:14 EDT, Qingtang Zhou
no flags Details

  None (edit)
Description Qingtang Zhou 2012-10-22 01:29:17 EDT
Version-Release number of selected component:
kdeartwork-screensavers-4.9.2-1.fc19

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
backtrace_rating: 4
cmdline:        keuphoria.kss -root
crash_function: crashHandler
kernel:         3.7.0-0.rc1.git1.1.fc19.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 crashHandler at /usr/src/debug/kde-workspace-4.9.2/kscreensaver/libkscreensaver/main.cpp:53
: #4 brw_update_renderbuffer_surface at brw_wm_surface_state.c:1109
: #5 brw_update_renderbuffer_surfaces at brw_wm_surface_state.c:1205
: #6 brw_upload_state at brw_state_upload.c:498
: #7 brw_try_draw_prims at brw_draw.c:493
: #8 brw_draw_prims at brw_draw.c:589
: #9 vbo_exec_vtx_flush at ../../../src/mesa/vbo/vbo_exec_draw.c:409
: #10 vbo_exec_FlushVertices_internal at ../../../src/mesa/vbo/vbo_exec_api.c:543
: #11 vbo_exec_FlushVertices at ../../../src/mesa/vbo/vbo_exec_api.c:1312
: #12 _mesa_PopMatrix at ../../../src/mesa/main/matrix.c:285
Comment 1 Qingtang Zhou 2012-10-22 01:29:21 EDT
Created attachment 631255 [details]
File: core_backtrace
Comment 2 Qingtang Zhou 2012-10-22 01:29:24 EDT
Created attachment 631256 [details]
File: environ
Comment 3 Qingtang Zhou 2012-10-22 01:29:28 EDT
Created attachment 631257 [details]
File: limits
Comment 4 Qingtang Zhou 2012-10-22 01:29:31 EDT
Created attachment 631258 [details]
File: backtrace
Comment 5 Qingtang Zhou 2012-10-22 01:29:34 EDT
Created attachment 631259 [details]
File: cgroup
Comment 6 Qingtang Zhou 2012-10-22 01:29:36 EDT
Created attachment 631260 [details]
File: smolt_data
Comment 7 Qingtang Zhou 2012-10-22 01:29:39 EDT
Created attachment 631261 [details]
File: xsession_errors
Comment 8 Qingtang Zhou 2012-10-22 01:29:41 EDT
Created attachment 631262 [details]
File: maps
Comment 9 Qingtang Zhou 2012-10-22 01:29:44 EDT
Created attachment 631263 [details]
File: dso_list
Comment 10 Qingtang Zhou 2012-10-22 01:29:46 EDT
Created attachment 631264 [details]
File: proc_pid_status
Comment 11 Qingtang Zhou 2012-10-22 01:29:49 EDT
Created attachment 631265 [details]
File: var_log_messages
Comment 12 Qingtang Zhou 2012-10-22 01:29:51 EDT
Created attachment 631266 [details]
File: open_fds
Comment 13 Kevin Kofler 2012-10-22 17:33:50 EDT
This sounds a lot like a graphics driver bug. What graphics driver are you using?
Comment 14 Qingtang Zhou 2012-10-22 23:11:22 EDT
(In reply to comment #13)
> This sounds a lot like a graphics driver bug. What graphics driver are you
> using?

Hi, Kevin,
This is my graphic card info:
# lspci -v |grep -i vga
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])

# lsmod |grep i915
i915                  567516  2 
i2c_algo_bit           13257  1 i915
drm_kms_helper         44712  1 i915
drm                   264139  3 i915,drm_kms_helper
i2c_core               38314  5 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit
video                  18936  1 i915

X driver for graphic card:
# rpm -qa |grep intel
xorg-x11-drv-intel-2.20.10-2.fc19.x86_64

Oh, from the Xorg log I find following msg:
"""
[223922.598] (EE) intel(0): Detected a hung GPU, disabling acceleration.
[223922.616] (EE) intel(0): When reporting this, please include i915_error_state from debugfs and the full dmesg.
"""
So I guess it's a intel driver problem?
Comment 15 Qingtang Zhou 2012-10-22 23:14:16 EDT
Created attachment 631856 [details]
i915_error_state output.

Attach the i915_error_state output.
Comment 16 Kevin Kofler 2012-10-23 11:25:31 EDT
Yes, this is clearly a driver problem, reassigning.
Comment 17 Adam Jackson 2013-01-22 15:20:03 EST
*** Bug 893937 has been marked as a duplicate of this bug. ***
Comment 18 Fedora End Of Life 2013-04-03 09:34:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.